Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 508316 - Review Request: emacs-jabber - Jabber plugin for emacs
Summary: Review Request: emacs-jabber - Jabber plugin for emacs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 522046 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-06-26 14:36 UTC by Rakesh Pandit
Modified: 2010-11-09 03:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-09 03:09:36 UTC


Attachments (Terms of Use)
Fixes free variable reference warnings (deleted)
2009-12-08 14:37 UTC, Shakthi Kannan
no flags Details | Diff

Description Rakesh Pandit 2009-06-26 14:36:26 UTC
SPEC: http://rakesh.fedorapeople.org/spec/emacs-jabber.spec 
SRPM: http://rakesh.fedorapeople.org/srpm/emacs-jabber-0.7.93-1.fc11.src.rpm

Description:
Emacs plugin for jabber protocol.

Comment 1 Rakesh Pandit 2009-07-10 16:26:56 UTC
(setq tls-program '("openssl s_client -connect %h:%p -no_ssl2 -no_ticket"))
(setq jabber-account-list '(
                            ("rakesh.pandit@gmail.com"
                             (:password . nil)
                              (:network-server . "talk.google.com")
                              (:connection-type . ssl))
                            ))

Just of testing purpose this is configuration I am using on my F11 box for gmail

Comment 2 Jason Tibbitts 2009-09-09 18:02:38 UTC
*** Bug 522046 has been marked as a duplicate of this bug. ***

Comment 3 Arun S A G 2009-09-10 07:36:07 UTC
rpmlint on created rpm shows following warnings and errors:

emacs-jabber.noarch: W: non-conffile-in-etc /etc/gconf/schemas/emacs-jabber.schemas
emacs-jabber.noarch: E: wrong-script-end-of-line-encoding /usr/libexec/xmppuri.sh
emacs-jabber.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/site-start.d/jabber-init.el

#1: wrong-script-end-of-line-encoding /usr/libexec/xmppuri.sh
Error can be removed by running 'sed -i 's/\r//' on xmppuri.sh

#2: I don't know what you are doing with gconf schema is right or wrong
please have a look at http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf

#3: why we need jabber-init.el ?
copying jabber-autoloads.el inside site-start.d/ works  for me. (correct me if i am wrong)

Comment 4 Arun S A G 2009-09-12 14:45:16 UTC
New version of jabber.el is available (version 0.8) http://sourceforge.net/projects/emacs-jabber/files/ .

Can i start packaging  it?

Comment 5 Rakesh Pandit 2009-09-14 10:10:25 UTC
http://rakesh.fedorapeople.org/spec/emacs-jabber.spec
http://rakesh.fedorapeople.org/srpm/emacs-jabber-0.8.0-1.fc12.src.rpm

Addresses all issues.

#1 done

#2 done (removed by adding configure option)

#3 jabber-init is the file which adds site-lisp/jabber to load-path, and it is required. Rpmlint output on it can be ignored.

Thanks,

Comment 6 Arun S A G 2009-09-19 02:23:20 UTC
Hi,
 
Package works fine except rpmlint on emacs-jabber-el-0.8.0-1.fc11.noarch.rpm emits
"emacs-jabber.noarch: E: script-without-shebang /usr/share/emacs/site-lisp/site-start.d/jabber-init.el"

To fix the Error please refer https://fedoraproject.org/wiki/Common_Rpmlint_issues#script-without-shebang

Comment 8 Shakthi Kannan 2009-12-08 14:37:39 UTC
Created attachment 376915 [details]
Fixes free variable reference warnings

#01 Shouldn't the pkgname start with capital 'E'macs ? I see it is being used in the Name and in turn in Source0 as well, where the source tarball name starts with emacs-jabber-.

https://fedoraproject.org/wiki/Packaging:Emacs#Template_for_a_add-on_package_for_GNU_Emacs_only

#02 Attached is a patch to fix the 'free reference to variables' warnings.

#03 We can use (declare-function foo) to stop the 'function X might not be defined at runtime' warning, but, declare-function is only available from Emacs 23. Otherwise, we can ignore the warning if you want to use with from Emacs 22.

#04 Retain time stamp with 'cp -p', instead of using 'mv' in %install

cp -p $RPM_BUILD_ROOT%{emacs_lispdir}/*.el* \
 $RPM_BUILD_ROOT%{emacs_lispdir}/%{pkg}/

#05 Cosmetic change, use %{buildroot} instead of $RPM_BUILD_ROOT?

I have tested this package and it works.

Comment 9 Arun S A G 2010-08-13 02:12:06 UTC
Please update this package. I will do the review this weekend.

Comment 10 Jason Tibbitts 2010-11-02 23:14:09 UTC
Anything happening here?  It looks as if there was a willing reviewer.


Note You need to log in before you can comment on or make changes to this bug.